#include "ti86asm.inc"

anumeditflgs    equ             $1F
ex_asm_module   equ             2
_exec_asm		equ		$5730	;Execute z80 assembly program in OP1.


.org $0000

	nop
	.db 'M'

	.dw StartComment
	.dw EndComment-StartComment
	
	.dw StartExec
	.dw	EndExec-StartExec

DetectionTables:
	.db 1
	.db $12,'T',4			;Type, 1 letter description, table size (1/2 of it actually)
	.dw $0028				;byte we want first, then the mask. These will reverse upon compilation.
	.dw $5428
	.dw $3A28
	.dw $0018

StartComment:
	scf
	ret
EndComment:


StartExec:
	ld   hl,_OP1
	ld   de,_OP6
	ld   bc,10
	ldir
	set  ex_asm_module,(iy+anumeditflgs)
StartViewer:
	ld	 hl,$E000 + (TextView-StartExec)	;addressing is funky cuz we had to .org 0
	rst  20h
	rst  10h
	jp   c,_asm_exec_ram
	ld	 hl,$D748
	push hl
	jp	 _exec_asm

TextView:
	.db $12,$08,"TextView"
EndExec:
	
.end
