#include "ti86asm.inc"

_runon			equ		$4AAD	;Enable run indicator.


.org $0000

	nop
	.db 'M'

	.dw StartComment
	.dw EndComment-StartComment
	
	.dw StartExec
	.dw EndExec-StartExec

DetectionTables:
	.db 3
	.db $12,'B',7
	.dw $0028
	.dw $0018			
	.dw $3A20			;':'
    .dw $5020			;'P'
    .dw $7220			;'r'
    .dw $6720			;'g'
    .dw $6d20			;'m'
	.db $12,'P',2
	.dw $8e28
	.dw $2928
	.db $12,'C',3
	.dw $8e20			;cant be an asm program or a protected basic or hex if its not $8e
	.dw $0018			;we dont care about this byte
	.dw $3A20			;better not be a colon

StartComment:
	cp		'P'
	jr		z,ExitWC
	ld		a,(hl)
	cp		0
	jr		nz,CompiledBasic
UnCompiledBasic:
	inc		hl
	ld		a,(hl)
	cp		$3a
	jr		nz,ExitWC
	inc		hl
	ld		a,(hl)
	cp		$22
	jr		nz,ExitWC
	inc		hl
	ld		de,_OP2+3
CopyBasicDesc:
	ld		a,(hl)
	cp		$22
	jr		z,PutEndingZero
	ld		(de),a
	inc		hl
	inc		de
	jr		CopyBasicDesc
PutEndingZero:
	xor		a
	ld		(de),a
	or		a
	ret

CompiledBasic:
	ld		a,(hl)
	cp		$6E
	jr		nz,ExitWC
	inc		hl
	ld		a,(hl)
	cp		$2D
	jr		nz,ExitWC
	inc		hl
	ld		de,_OP2+3
CopyBasicDesc2:
	ld		a,(hl)
	cp		0
	jr		z,PutEndingZero
	ld		(de),a
	inc		hl
	inc		de
	jr		CopyBasicDesc2

ExitWC:
	scf
	ret
EndComment:

StartExec:
	call	_runon
	ld		hl,$D748
	push	hl
	jp		_exec_basic
EndExec:

.end
